/*
@Goto NoRexx
*/

/*

   REXX-Script to create Dos Navigator Folder

   Run this command file at OS/2 command prompt

*/



Cls
Say "Creating PM-folder for Dos Navigator. Please wait..."

Call RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
Call SysLoadFuncs

DnDir=Directory()
DnDir=SubStr(DnDir,1,LastPos('\',DnDir))
Say "Dos Navigator should be installed in "DnDir"."
Say "If it isn't, then put new folder in trash ;)"
ObjMode="Replace"
rc=0


say 'Creating DN folder...'

/* The Folder */
Class = "WPFolder"
Location = "<WP_DESKTOP>"
Title = "Dos Navigator II"
SetupString = "OBJECTID=<DN>;ICONFILE="DnDir"OS2\DN_PMF.ICO;BACKGROUND="DnDir"OS2\DN2.BMP;"
rc = rc + (SysCreateObject(Class,Title,Location,SetupString,ObjMode)<>1)

/*  DN EXECUTABLE  */

say 'Creating DN object...'

/* The Programs in the folder */
ObjMode="UpDate"
Class = "WPProgram"
Location = "<DN>"

Title = "Dos Navigator"
SetupString ="OBJECTID=<DNCOM>;ICONFILE="DnDir"OS2\DN_PM.ICO;PROGTYPE=VDM;EXENAME="DnDir"DN.COM;STARTUPDIR="DnDir";"
rc = rc + (SysCreateObject(Class,Title,Location,SetupString,ObjMode)<>1)


/*  WHATS NEW  */


say "Creating 'What's new?' folder..."

/* The Folder */
Class = "WPFolder"
ObjMode="Replace"
Location = "<DN>"
Title = "What's new?"
SetupString = "OBJECTID=<DNWNEW>;ICONFILE="DnDir"OS2\DN_NEW.ICO;BACKGROUND="DnDir"OS2\DN2.BMP;"
rc = rc + (SysCreateObject(Class,Title,Location,SetupString,ObjMode)<>1)

/* Doc's in folder */
Location = "<DNWNEW>"
ObjMode="UpDate"
Class = "WPProgram"

Title = "Russian"
SetupString = "OBJECTID=<WHNEWRUS>;ICONFILE="DnDir"OS2\DN_TXT.ICO;EXENAME=E.EXE;PARAMETERS="DnDir"DOC\whatsnew.rus;"
rc = rc + (SysCreateObject(Class,Title,Location,SetupString,ObjMode)<>1)
Title = "English"
SetupString = "OBJECTID=<WHNEWENG>;ICONFILE="DnDir"OS2\DN_TXT.ICO;EXENAME=E.EXE;PARAMETERS="DnDir"DOC\whatsnew.eng;"
rc = rc + (SysCreateObject(Class,Title,Location,SetupString,ObjMode)<>1)



/*  OVERVIEW  */


say "Creating 'Overview' folder..."

/* The Folder */
Class = "WPFolder"
ObjMode="Replace"
Location = "<DN>"
Title = "DN Overview"
SetupString = "OBJECTID=<DNOVERWIEW>;ICONFILE="DnDir"OS2\DN_OVW.ICO;BACKGROUND="DnDir"OS2\DN2.BMP;"
rc = rc + (SysCreateObject(Class,Title,Location,SetupString,ObjMode)<>1)

/* Doc's in folder */
Location = "<DNOVERWIEW>"
ObjMode="UpDate"
Class = "WPProgram"

Title = "Russian"
SetupString = "OBJECTID=<OVVRUS>;ICONFILE="DnDir"OS2\DN_TXT.ICO;EXENAME=E.EXE;PARAMETERS="DnDir"DOC\OVERVIEW.RUS;"
rc = rc + (SysCreateObject(Class,Title,Location,SetupString,ObjMode)<>1)
Title = "English"
SetupString = "OBJECTID=<OVVENG>;ICONFILE="DnDir"OS2\DN_TXT.ICO;EXENAME=E.EXE;PARAMETERS="DnDir"DOC\OVERVIEW.ENG;"
rc = rc + (SysCreateObject(Class,Title,Location,SetupString,ObjMode)<>1)


/*  MANUAL  */


say "Creating 'Manual' folder..."

/* The Folder */
Class = "WPFolder"
ObjMode="Replace"
Location = "<DN>"
Title = "DN Manual"
SetupString = "OBJECTID=<DNDOC>;ICONFILE="DnDir"OS2\DN_DOC.ICO;BACKGROUND="DnDir"OS2\DN2.BMP;"
rc = rc + (SysCreateObject(Class,Title,Location,SetupString,ObjMode)<>1)

/* Doc's in folder */
Location = "<DNDOC>"
ObjMode="UpDate"
Class = "WPProgram"

Title = "Manual (Russian)"
SetupString = "OBJECTID=<DOCRUS>;ICONFILE="DnDir"OS2\DN_DOC.ICO;EXENAME=E.EXE;PARAMETERS="DnDir"DOC\DN.DOC;"
rc = rc + (SysCreateObject(Class,Title,Location,SetupString,ObjMode)<>1)
Title = "Environment"
SetupString = "OBJECTID=<ENVENG>;ICONFILE="DnDir"OS2\DN_TXT.ICO;EXENAME=E.EXE;PARAMETERS="DnDir"DOC\ENVIRON.DN;"
rc = rc + (SysCreateObject(Class,Title,Location,SetupString,ObjMode)<>1)




/*  OPEN NAVIGATOR FOLDER  */


/* Open folder */
Class = "WPFolder"
Location = "<WP_DESKTOP>"
Title = "Dos Navigator"
SetupString = "OBJECTID=<DN>;OPEN=Default;"
rc = rc + (SysCreateObject(Class,Title,Location,SetupString,ObjMode)<>1)


/*  REG FORMS  */


say "Creating 'Reg forms' folder..."

/* The Folder */
Class = "WPFolder"
Location = "<DN>"
Title = "Register"
ObjMode="Replace"
SetupString = "OBJECTID=<DNREG>;ICONFILE="DnDir"OS2\DN_REG.ICO;BACKGROUND="DnDir"OS2\DN2.BMP;"
rc = rc + (SysCreateObject(Class,Title,Location,SetupString,ObjMode)<>1)

/* Doc's in folder */
Location = "<DNREG>"
ObjMode="Replace"
Class = "WPProgram"

Title = "Russian"
SetupString = "OBJECTID=<DNRRUS>;ICONFILE="DnDir"OS2\DN_TXT.ICO;EXENAME=E.EXE;PARAMETERS="DnDir"DOC\REGISTER.RUS;"
rc = rc + (SysCreateObject(Class,Title,Location,SetupString,ObjMode)<>1)
Title = "English"
SetupString = "OBJECTID=<DNRENG>;ICONFILE="DnDir"OS2\DN_TXT.ICO;EXENAME=E.EXE;PARAMETERS="DnDir"DOC\REGISTER.FRM;"
rc = rc + (SysCreateObject(Class,Title,Location,SetupString,ObjMode)<>1)
Title = "Dutch"
SetupString = "OBJECTID=<DNRGER>;ICONFILE="DnDir"OS2\DN_TXT.ICO;EXENAME=E.EXE;PARAMETERS="DnDir"DOC\REGISTER.NL;"
rc = rc + (SysCreateObject(Class,Title,Location,SetupString,ObjMode)<>1)


/*  REG  */


say "Creating 'Why Register?' folder..."

/* The Folder */
Class = "WPFolder"
Location = "<DN>"
Title = "Why register?"
ObjMode="Replace"
SetupString = "OBJECTID=<DNWHYREG>;ICONFILE="DnDir"OS2\DN_WHY.ICO;BACKGROUND="DnDir"OS2\DN2.BMP;"
rc = rc + (SysCreateObject(Class,Title,Location,SetupString,ObjMode)<>1)

/* Doc's in folder */
Location = "<DNWHYREG>"
ObjMode="UpDate"
Class = "WPProgram"

Title = "Russian"
SetupString = "OBJECTID=<WHRRUS>;ICONFILE="DnDir"OS2\DN_TXT.ICO;EXENAME=E.EXE;PARAMETERS="DnDir"DOC\README.RUS;"
rc = rc + (SysCreateObject(Class,Title,Location,SetupString,ObjMode)<>1)
Title = "English"
SetupString = "OBJECTID=<WHRENG>;ICONFILE="DnDir"OS2\DN_TXT.ICO;EXENAME=E.EXE;PARAMETERS="DnDir"DOC\README.ENG;"
rc = rc + (SysCreateObject(Class,Title,Location,SetupString,ObjMode)<>1)
Title = "Dutch"
SetupString = "OBJECTID=<WHRGER>;ICONFILE="DnDir"OS2\DN_TXT.ICO;EXENAME=E.EXE;PARAMETERS="DnDir"DOC\leesmij.txt;"
rc = rc + (SysCreateObject(Class,Title,Location,SetupString,ObjMode)<>1)


/*  END  */

  Say
  If (rc='0') Then
   Do
     say 'Install successful'
     say 'Dos Navigator folder created. '
   End
  Else
     say 'Install failed'
Exit;

/* No REXX found */

:NoRexx
@Echo Off
Echo No REXX support found in your system.
Echo Run "Selective Install" in System folder
Echo to install REXX in your system.

